$!
$! P1 should be JFP_SSL OPENSSL or VMS_SSL
$! P2 should be ZLIB
$! P3 should be CLIENT or SERVER
$! P4 should be LONG or 64 or SHORT or 32
$! P5 should be MIXED or UPPER
$!
$ set process/parse=extend
$ set default MYSQL051_ROOT:[VMS]
$ define mysql MYSQL051_ROOT:[include.mysql]
$ define atomic MYSQL051_ROOT:[include.atomic]
$ JFP_SSL = 0
$ OPENSSL = 0
$ VMS_SSL = 0
$ ZLIB = 0
$ if p1 .eqs. "JFP_SSL" then JFP_SSL = 1
$ if p1 .eqs. "OPENSSL" then OPENSSL = 1
$ if p1 .eqs. "VMS_SSL" then VMS_SSL = 1
$ if p2 .eqs. "ZLIB" then ZLIB = 1
$ if p3 .eqs. "CLIENT" then $ define MYSQL_CLIENT_OR_SERVER MYSQL_CLIENT
$ if p3 .eqs. "SERVER" then $ define MYSQL_CLIENT_OR_SERVER MYSQL_SERVER
$ long_pointer = (p4 .eqs. "LONG") .or. (p4 .eqs. "64")
$ if p5 .eqs. "MIXED" then $ define MYSQL_CLIENT_LIBRARY_CASE MIXED
$ if p5 .eqs. "UPPER" then $ define MYSQL_CLIENT_LIBRARY_CASE UPPER
$
$ copy MYSQL051_ROOT:[VMS.MYSQL]my_config.h_ini -
       MYSQL051_ROOT:[VMS.MYSQL]my_config.h
$
$ copy MYSQL051_ROOT:[VMS.INNOBASE]ib_config.h -
       MYSQL051_ROOT:[storage.innobase.include]ib_config.h
$
$ if JFP_SSL then $ @SYS$COMMON:[OPENSSL098G.VMS]OPENSSL_STARTUP.COM
$ if OPENSSL .or. VMS_SSL .or. JFP_SSL
$ then
$    open/append fconf MYSQL051_ROOT:[VMS.MYSQL]my_config.h
$    write fconf "/* crypt */"
$    write fconf "#define HAVE_CRYPT 1"
$    write fconf "/* OpenSSL */"
$    write fconf "#define HAVE_OPENSSL 1"
$    close fconf
$ endif
$
$ if ZLIB
$ then
$    open/append fconf MYSQL051_ROOT:[VMS.MYSQL]my_config.h
$    write fconf "/* ZLIB and compress: */"
$    write fconf "#define HAVE_COMPRESS 1"
$    close fconf
$ endif
$
$ open/append fconf MYSQL051_ROOT:[VMS.MYSQL]my_config.h
$ write fconf "#define PTHREAD_NAMES_ARE_UPCASE 1"
$ if p1 .eqs. "VMS_SSL" then $ write fconf "#define SSL_NAMES_ARE_UPCASE 1"
$! if p1 .eqs. "JFP_SSL" then $ write fconf "#define SSL_NAMES_ARE_UPCASE 1"
$ write fconf "#include <upcase_names.h>"
$ close fconf
$
$ arch_name = f$getsyi("arch_name")
$ if arch_name .eqs. "IA64"
$ then
$    libcxxstd = ""
$ else
$    libcxxstd = "1"
$ endif
$
$ if f$trnlnm("MYSQL_CLIENT_OR_SERVER") .eqs. "MYSQL_SERVER"
$ then
$     if long_pointer .eq. 1
$     then
$         call genopt64 "mysqld.opt" OPENSSL VMS_SSL JFP_SSL ZLIB 'libcxxstd'
$     else
$         call genopt "mysqld.opt" OPENSSL VMS_SSL JFP_SSL ZLIB 'libcxxstd'
$     endif
$ else
$     call genopt "myisamchk.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysql.opt" OPENSSL VMS_SSL JFP_SSL ZLIB 'libcxxstd'
$     call genopt "mysqladmin.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqlbinlog.opt" OPENSSL VMS_SSL JFP_SSL ZLIB 'libcxxstd'
$     call genopt "mysqlcheck.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqlclient.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqlclient_shr.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqldump.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqlimport.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqlshow.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "mysqltest.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "my_print_defaults.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$     call genopt "innochecksum.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$!     call genopt "loadrepository.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$!     call genopt "loadobject.opt" OPENSSL VMS_SSL JFP_SSL ZLIB
$ endif
$
$ copy MYSQL051_ROOT:[VMS.MYSQL]my_config.h -
       MYSQL051_ROOT:[include]my_config.h
$ copy MYSQL051_ROOT:[VMS.MYSQL]upcase_names.h -
       MYSQL051_ROOT:[include]upcase_names.h
$
$ if f$trnlnm("MYSQL_CLIENT_OR_SERVER") .eqs. "MYSQL_SERVER"
$ then
$     @MYSQL051_ROOT:[VMS.INNOBASE.scripts]build_all_mms
$ endif
$ @MYSQL051_ROOT:[VMS.MYSQL.scripts]build_all_mms
$! if (f$trnlnm("MYSQL_CLIENT_OR_SERVER") .eqs. "MYSQL_CLIENT") .and. -
!     (f$trnlnm("MYSQL_CLIENT_LIBRARY_CASE") .eqs. "MIXED")
$! then
$!     @MYSQL051_ROOT:[VMS.MYSQL]build_loadrepository
$!     @MYSQL051_ROOT:[VMS.MYSQL]build_loadobject
$! endif
$
$ deassign mysql
$ deassign atomic
$ exit
$ 
$ genopt: subroutine
$ 
$ copy mysql051_root:[vms.mysql]'p1'_ini mysql051_root:[vms.mysql]'p1'
$
$ open/append fopt mysql051_root:[vms.mysql]'p1'
$
$ if 'p5' .eq. 1
$ then
$     write fopt "sys$library:libz/lib"
$ endif
$
$ if 'p2' .eq. 1
$ then
$     write fopt "SSLLIB:LIBSSL.OLB/LIB"
$     write fopt "SSLLIB:LIBCRYPTO.OLB/LIB"
$ endif
$
$ if 'p3' .eq. 1
$ then
$     write fopt "SYS$SHARE:SSL$LIBSSL_SHR32.EXE/SHARE"
$     write fopt "SYS$SHARE:SSL$LIBCRYPTO_SHR32.EXE/SHARE"
$ endif
$
$ if 'p4' .eq. 1
$ then
$!     write fopt "OPENSSL098G_LIBSSL_SHR32/SHARE"
$!     write fopt "OPENSSL098G_LIBCRYPTO_SHR32/SHARE"
$     write fopt "SSLLIB:LIBSSL_MIXED.OLB/LIB"
$     write fopt "SSLLIB:LIBCRYPTO_MIXED.OLB/LIB"
$ endif
$
$ if p6 .nes. ""
$ then
$     write fopt "sys$share:LIBCXXSTD.OLB/lib"
$ endif
$
$ close fopt
$
$ return
$ endsubroutine
$
$ genopt64: subroutine
$ 
$ copy mysql051_root:[vms.mysql]'p1'_ini mysql051_root:[vms.mysql]'p1'
$
$ open/append fopt mysql051_root:[vms.mysql]'p1'
$
$ if 'p5' .eq. 1
$ then
$     write fopt "LIBZ_SHR64/share"
$ endif
$
$ if 'p2' .eq. 1
$ then
$     write fopt "SSLLIB:LIBSSL.OLB/LIB"
$     write fopt "SSLLIB:LIBCRYPTO.OLB/LIB"
$ endif
$
$ if 'p3' .eq. 1
$ then
$     write fopt "SYS$SHARE:SSL$LIBSSL_SHR.EXE/SHARE"
$     write fopt "SYS$SHARE:SSL$LIBCRYPTO_SHR.EXE/SHARE"
$ endif
$
$ if p6 .nes. ""
$ then
$     write fopt "sys$share:LIBCXXSTD.OLB/lib"
$ endif
$
$ close fopt
$
$ return
$ endsubroutine
